Bug 236572 - databases/pgadmin3: Crashes in Query Tool after wxGTK3 switched to gtk3
Summary: databases/pgadmin3: Crashes in Query Tool after wxGTK3 switched to gtk3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Max Khon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-16 12:08 UTC by Rainer Hurling
Modified: 2020-06-02 14:22 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (fjoe)


Attachments
GDB log of the pgadmin3 crash (9.23 KB, text/plain)
2019-03-16 12:08 UTC, Rainer Hurling
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hurling 2019-03-16 12:08:46 UTC
Created attachment 202907 [details]
GDB log of the pgadmin3 crash

After wxGTK3.0 (x11-toolkits/wxgtk30, r493853) switched to gtk3 and webkit2, databases/pgadmin3 crashes at runtime, when starting a sql query:

1. Open an existing database 
2. Open the query tool for a sql query: Tools -> Query tool
3. Core dump (see attachment of GDB output)


This is on FreeBSD 13.0-CURRENT amd64 r344972. The port builds and installs fine, many of pgadmin3's runtime functionalities also work fine.

Unfortunately, pgadmin3 is pretty useless without the query tool.

Please let me know, if you need the core file or if I can test something. Many thanks in advance.
Comment 1 Rainer Hurling 2019-03-16 13:36:35 UTC
If forgot to mention, that pgadmin3 throws two messages on the shell, before it crashes:


(pgadmin3:43087): Gdk-CRITICAL **: 14:34:13.679: The window 0x808d13320 already has a drawing context. You cannot call gdk_window_begin_draw_frame() without calling gdk_window_end_draw_frame() first.

(pgadmin3:43087): Gdk-CRITICAL **: 14:34:13.679: gdk_drawing_context_get_cairo_context: assertion 'GDK_IS_DRAWING_CONTEXT (context)' failed
Comment 2 Walter Schwarzenfeld freebsd_triage 2019-03-16 13:45:35 UTC
https://www.pgadmin.org/download/:

=>
WARNING: pgAdmin 3 is no longer supported. It is recommended that you download pgAdmin 4 instead.

Newest version
2019-03-07 - pgAdmin 4 v4.3 Released
https://www.pgadmin.org/
Comment 3 Rainer Hurling 2019-03-16 13:48:07 UTC
(In reply to w.schwarzenfeld from comment #2)

Of course, this is true. But we do not have pgAdmin IV in the ports until now and pgAdmin III was very functional until the change of wxGTK3.
Comment 4 commit-hook freebsd_committer 2019-12-09 09:30:03 UTC
A commit references this bug:

Author: fjoe
Date: Mon Dec  9 09:29:14 UTC 2019
New revision: 519598
URL: https://svnweb.freebsd.org/changeset/ports/519598

Log:
  - Add support for PostgreSQL 10 [1]
  - Add support for PostgreSQL 11 [2]
  - Fix query tool window crash [2]
  - Bump PORTREVISION

  PR:		236572, 238135
  Submitted by:	kirill@ironlogic.ru [2]
  Obtained from:	Debian [1]

Changes:
  head/databases/pgadmin3/Makefile
  head/databases/pgadmin3/files/patch-pg10
  head/databases/pgadmin3/files/patch-pg11
  head/databases/pgadmin3/files/patch-pgversion
  head/databases/pgadmin3/files/patch-wxgtk3
Comment 5 Max Khon freebsd_committer 2019-12-09 09:30:22 UTC
Fixed in pgadmin3-1.22.2_4
Comment 6 lorenzo.lucioni 2020-06-02 14:21:25 UTC
Still present in the last release: 1.22.2-6build1
Comment 7 lorenzo.lucioni 2020-06-02 14:22:39 UTC
(pgadmin3:106576): Gdk-CRITICAL **: 16:10:32.343: The window 0x562fec66a360 already has a drawing context. You cannot call gdk_window_begin_draw_frame() without calling gdk_window_end_draw_frame() first.

(pgadmin3:106576): Gdk-CRITICAL **: 16:10:32.343: gdk_drawing_context_get_cairo_context: assertion 'GDK_IS_DRAWING_CONTEXT (context)' failed
Segmentation fault (core dumped)